complexType "RateIndex"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, description?, currency?, exchangeId?, clearanceSystem?, definition?, floatingRateIndex?, term?, paymentFrequency?, dayCountFraction?
</...>

Content Model Elements (10):

  clearanceSystem (defined in UnderlyingAsset complexType), currency (defined in UnderlyingAsset complexType), dayCountFraction (in rateIndex), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), floatingRateIndex (in rateIndex), instrumentId (defined in IdentifiedAsset complexType), paymentFrequency (in rateIndex), term (in rateIndex)

All Direct / Indirect Based Elements (1):

  rateIndex

Known Usage Locations

- As direct type of elements (1):
  rateIndex

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) RateIndex

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="RateIndex"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"/> <xsd:element minOccurs="0" name="term" type="Period"/> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/10)
dayCountFraction

  Type: | DayCountFraction, simple content

  The day count basis for the index.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

floatingRateIndex

  Type: | FloatingRateIndex, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="floatingRateIndex" type="FloatingRateIndex"/>

paymentFrequency

  Type: | Period, complex content

  Specifies the frequency at which the index pays, e.g. 6M.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/>

term

  Type: | Period, complex content

  Specifies the term of the simple swap, e.g. 5Y.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="term" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.